List cloud images
GET/v1/cloud_computing/regions/{region_id}/images
To list all cloud images available in a cloud region, send a GET request to /v1/cloud_computing/regions/{region_id}/images. Choose a necessary region by adding its ID in the path parameter. The list contains both default operating systems and uploaded images.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
region_id | stringA unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section. |
Query Parameters
| Field | Details |
|---|---|
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/cloud_computing/regions/0/images"[ { "id": "c78eb753-3dbe-4def-b171-f634446900e5", "name": "name418", "image_size": 225280, "min_disk": 0, "allowed_flavors": [ "101", "102", "103", "104", "160", "201", "202" ] }, { "id": "d8ed2069-2137-4b59-a9b7-78f0af58dc68", "name": "name419", "image_size": 226304, "min_disk": 0, "allowed_flavors": [ "101", "102", "103", "104", "160", "201", "202" ] }]